# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Text/Wrap.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.1.3
%define module_name Getopt-Awesome
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.3
Release: alt1
Summary: Let your modules define/export their own arguments
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PF/PFISCHER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
First of, this module was very inspired in the Getopt::Modular CPAN package
however at the moment of using it I found it was giving me "more" of what I
was looking so I thought I could borrow some ideas of it, make it lighter
and add some of the features/functionalities I was looking for and so this
is the result: a module I've been using every day for all my perl scripts
and modules, though would be nice to give it to the Perl community.

Now, this module is handy if you want to give your modules the freedom of
definining their own "getopt options" so next time they get called (or *used*)
the options will be available in the form of arguments (--foo, --bar).

Another feature of this module is that when user asks for help (-h or --help)
a usage will be printed by showing all the options available by the current
perl script and by all the modules in use.

All options are prefixed by the package name in lowercase where namespace
separator (::) gets replaced by a dash (-), so --help will return:

    --foo-bar-option   Description.
    --foo-bar-option2  Description 2.

and so on..

See the SYNOPSYS section for examples.

Notes:

=over 4

=item *

The use of short aliases is not supported for options defined in modules, this
feature (provided by Getopt) is only available in the main script (.pl)

=item *

In your perl script (.pl) remember to call parse_opts otherwise the values of
the options you request might be undef, empty or have their default values.

=item *

*Remember:* ARGV is ONLY parsed when parse_opt is called.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README examples
%perl_vendor_privlib/G*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt1
- initial import by package builder

